<?php
/**
 * Plugin Name: WooCommerce Terms IDs
 * Description: Show terms IDs for all WooCommerce taxonomies
 * Version: 1.0.0
 * Author: troll_winner@mail.ru
 * Author URI: https://troll-winner.ru/
 */

add_action('woocommerce_after_register_post_type', function () {
    $taxonomies = get_taxonomies();

    foreach ($taxonomies as $taxonomy) {
        add_filter("manage_edit-{$taxonomy}_columns", function ($columns) {
            if (isset($columns['id'])) {
                return $columns;
            }

            $first = array_splice($columns, 0, 1);
            $columns = $first + ['id' => 'ID'] + $columns;

            return $columns;
        });

        add_filter("manage_{$taxonomy}_custom_column", function ($out, $column, $termId) {
            if ($column == 'id') {
                $out = $termId;
            }

            return $out;
        }, 10, 3);
    }
});

